API 参考指标数据源
获取指标部署预设
GET
/api/v1/metrics-data-sources/deployment-preset认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
请求头参数
X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
响应体
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/metrics-data-sources/deployment-preset"{ "config": { "collection": "native", "collector": "vmagent", "export": { "endpoint": "string", "interval_seconds": 30, "protocol": "http/protobuf" }, "query": { "endpoint": "string", "scope_labels": {} } }, "has_query_credentials": true, "name": "string", "revision": "string"}